/*
 Theme Name:   Lussu
 Theme URI:    www.fusionn.digital
 Description:  A child theme of Twenty Twenty-One WordPress theme.
 Author:       Fusionn.digital
 Author URI:   www.fusionn.digital
 Template:     twentytwentyone
 Version:      1.0.0
*/










/* Popup Overlay */
.popup-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

/* Popup Content */
.popup-content {
    background-color: #fff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    text-align: center;
    position: relative;
    max-width: 500px;
    width: 90%;
}

/* Close Button */
.close {
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
    font-size: 20px;
    color: #333;
}

/* Popup Title */
#popup-title {
    font-size: 24px;
    margin-bottom: 15px;
}

/* Popup Image */
#popup-image {
    max-width: 100%;
    height: auto;
    margin-bottom: 15px;
    border-radius: 8px;
}

/* Popup Description */
#popup-description {
    font-size: 16px;
    margin-bottom: 15px;
}

/* Countdown Timer */
.countdown {
    display: flex;
    justify-content: space-between;
    font-size: 20px;
    margin-top: 10px;
}

/* Countdown Box */
.countdown .box {
    flex: 1;
    text-align: center;
}

/* Countdown Label */
.countdown .label {
    display: block;
    font-size: 14px;
    color: #555;
}

/* Divider */
.devider {
    width: 10px;
}

/* Action Button */
.action_button {
    margin-top: 20px;
}

.giveaway_popup #title {
    font-size: 35px;
    line-height: normal;
    margin-bottom: 10px;
}

.giveaway_popup .info {
    margin-bottom: 32px;
    text-align: left;
}

.giveaway_popup .fea_img_box img {
    width: 100%;
}

.giveaway_popup .fea_img_box {
    position: relative;
}

.giveaway_popup .value_box {
    position: absolute;
    bottom: 0;
    background: red;
}


/* Discount modal popup start */
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.4);
    display: flex;
    justify-content: center;
    align-items: center;
}

.dicount_modal .modal-content,
.modal-content,
#reset-password-modal .modal-content,
#response-modal .modal-content {
    position: relative;
    background-color: #fff;
    margin: 0 auto;
    padding: 32px;
    border: 2px solid #000;
    min-width: 628px;
    max-width: 628px;
    border-radius: 30px;
    box-shadow: 0px 5px 1px 0px #4a1c83;
}

.dicount_modal .discount-item {
    filter: unset !important;
    padding: unset !important;
    border: unset !important;
}

.dicount_modal .modal-featured-image {
    flex: 0 0 200px;
    height: 165px;
    object-fit: cover;
}

.dicount_modal .modal-featured-image img {
    border-radius: 15px;
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.discount_info {
    display: flex;
    gap: 32px;
}

.dicount_modal .modal-coupon-code {
    margin: 32px 0;
    border-radius: 8px;
    border: 2px dashed #80808085;
    text-align: center;
    font-size: 28px;
}

.dicount_modal button.copy-code-btn,
#login-popup button,
#forgot-password-modal .action-btn button {
    width: 100%;
    background: #732ccd !important;
    color: #fff !important;
    font-size: 16px;
}

.dicount_modal .close,
#login-popup .close,
#reset-password-modal .modal-content span.close,
#response-modal .modal-content span.close,
#cancel-subscription-modal .modal-content span.close,
#forgot-password-modal .modal-content .close {
    font-size: 28px;
    font-weight: 400;
    width: 48px;
    height: 48px;
    background: #fff;
    border-radius: 50%;
    border: 1px solid #732ccd;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #4a1c83;
    position: absolute;
    right: -59px;
    top: 0;
    box-shadow: 0px 3px 1px 0px #4a1c83;
}

.dicount_modal .close:hover,
.dicount_modal .close:focus,
#login-popup .close:hover,
#login-popup .close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

/* Discount modal popup end */



.upcoming-giveaways {
    display: flex;
    gap: 24px;
    overflow-x: auto;
    scroll-behavior: smooth;
    padding-bottom: 50px;
}

.giveaways_section .total-giveaways {
    display: none;
}

.total-giveaways {
    margin-bottom: 50px;
}

.total-giveaways h3 {
    font-size: 24px;
    display: flex;
    gap: 12px;
}

.total-giveaways span {
    color: #00000047;
}

.upcoming-giveaways .countdown .box {
    margin: 0 0px;
}

.upcoming-giveaways .image_box {
    width: 100%;
    height: 200px;
    object-fit: cover;
    margin-bottom: 43px;
}

.upcoming-giveaways .image_box img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 16px;
    max-width: 100%;
}

.upcoming-giveaways h3 {
    font-size: 24px !important;
}

.upcoming-giveaways .about_box {
    margin-bottom: 24px;
}

.upcoming-giveaways .giveaway-item {
    background: #fff;
    border: 2px solid #000;
    border-radius: 30px;
    padding: 30px;
    max-width: calc(100% / 3);
    filter: drop-shadow(0px 8px 0px #4a1c83) !important;
    min-width: 411px;
    white-space: normal;
}

.upcoming-giveaways .image_container {
    position: relative;
}

.upcoming-giveaways .value_box,
.giveaway_popup .value_box {
    display: inline-block;
    background: #f419e7;
    padding: 8px 14px;
    border-radius: 8px;
    color: #fff;
    position: absolute;
    bottom: -26px;
    left: 20px;
    display: flex;
    flex-direction: column;
}

.giveaway_popup .popup-content {
    border-radius: 30px;
    box-shadow: 0px 5px 1px 0px #4a1c83;
    border: 2px solid #000;
    position: relative;
}

.giveaway_popup .close {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    background: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #000;
    position: absolute !important;
    right: -65px !important;
    top: 0;
    font-size: 25px !important;
}

.giveaway_popup .value_box {
    bottom: -12px !important;
}

.giveaway_popup .fea_img_box {
    position: relative;
    margin-bottom: 59px;
}

.giveaway_popup .countdown {
    padding: 24px 35px !important;
}

.giveaway_popup .count {
    font-size: clamp(24px, 4vw, 48px);
    font-weight: 900;
}

.upcoming-giveaways span.label,
.giveaway_popup .value_box .label {
    font-size: 12px;
    line-height: normal;
}

.upcoming-giveaways .value,
.giveaway_popup .value_box .value {
    font-size: 18px;
    font-weight: bold;
}

.upcoming-giveaways .countdown,
.giveaway_popup .countdown {
    display: flex;
    align-items: center;
    gap: 14px;
    background: #F7F7F7;
    padding: 10px;
    border-radius: 12px;
    border: 1px solid #EDEDED;
    justify-content: space-around;
    margin-bottom: 24px;
    border: 2px solid #D0D5DD;
}

.upcoming-giveaways .countdown .box {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.upcoming-giveaways .countdown .count {
    font-size: 18px;
    font-weight: bold;
}

.upcoming-giveaways .countdown .label {
    font-size: 14px;
    color: #1e1e1e82;
    font-weight: 600;
}

.upcoming-giveaways .devider,
.giveaway_popup .devider {
    height: 32px;
    width: 1px;
    background: #00000040;
}

.upcoming-giveaways .action_button button {
    display: block;
    background: #732ccd !important;
    border-radius: 15px;
    padding: 10px 18px;
    text-align: center;
    color: #fff !important;
    text-decoration: none;
    font-size: 16px !important;
    font-weight: 600 !important;
    filter: drop-shadow(0px 2px 0px #4a1c83) !important;
    width: 100%;
}

.recent-winners {
    display: flex;
    gap: 24px;
}

.discounts-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(calc(100% / 4), 1fr));
    gap: 24px;
    row-gap: 48px;
}

.discount-item {
    max-width: unset !important;
}

.winner-item,
.discount-item {
    background: #fff;
    border: 2px solid #000;
    border-radius: 30px;
    max-width: calc(100% / 4);
    filter: drop-shadow(0px 8px 0px #4a1c83) !important;
}

.winner-item .winner-info,
.discount-info {
    padding: 30px;
}

.winner-image img,
.discount-image img {
	
    width: 100% !important;
    max-width: 100% !important;
    object-fit: cover;
    border-radius: 28px 28px 0 0 !important;
}
.winner-item .winner-image img{
	max-height:375px;
}

.winner-item h3.winner-title {
    font-size: 24px;
    font-weight: 900;
    margin-bottom: 24px;
    line-height: normal;
    white-space: normal;
}

.Winner_detail {
    display: flex;
    gap: 20px;
    margin-bottom: 16px;
}

.Winner_detail span,
.winner-item span.won {
    font-size: 16px;
    display: flex;
    gap: 12px;
    align-items: center;
}

.winner-item span.giveaways_title {
    margin-top: 10px;
    display: inline-block;
}

.winners_section .recent-winners::-webkit-scrollbar,
.giveaways_section .upcoming-giveaways::-webkit-scrollbar {
    display: none;
}

/* Hide scrollbar in Firefox */
.winners_section .recent-winners,
.giveaways_section .upcoming-giveaways {
    scrollbar-width: none;
    /* Hides scrollbar */
    scrollbar-color: transparent transparent;
    /* Makes scrollbar invisible */
}

.giveaways_archive .upcoming-giveaways,
.all_winners .recent-winners {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(calc(100% / 4), 1fr));
    gap: 24px;
    row-gap: 42px !important;
    overflow-x: unset !important;
    scroll-behavior: unset !important;
    padding-bottom: 50px;
}

.all_winners .recent-winners {
    grid-template-columns: repeat(auto-fill, minmax(calc(100% / 5 + 45px), 1fr)) !important;
}

.giveaways_archive .upcoming-giveaways .giveaway-item,
.all_winners .recent-winners .winner-item {
    min-width: unset;
    width: 100%;
    max-width: 100%;
}

.winners_section:not(.all_winners) .pagination {
    display: none;
}

.giveaway_offer_banner,
.hero-banner-shortcode {
    position: relative;
    min-height: 554px !important;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 100px 20px !important;
}

.hero-banner-shortcode.elementor-widget-shortcode {
    display: flex;
    justify-content: center;
    text-align: center;
    height: 100%;
    top: 0;
    left: 0;
    position: absolute;
}

.giveaway_offer_banner .elementor-widget-shortcode,
.home-hero-banner .hero-banner-shortcode {
    width: 100%;
    max-width: 100%;
}

.giveaway_offer_banner .offer_title,
.hero-banner-shortcode .offer_title {
    color: #fff !important;
    margin-bottom: 32px;
}

.hero-banner-shortcode .offer_title {
    font-size: clamp(48px, 6vw, 80px);
    margin-bottom: 0;
}

.hero-banner-shortcode p.desc {
    margin: 48px 0;
}

.giveaway_offer_banner .offer_banner,
.hero-banner-shortcode .offer_banner {
    position: absolute;
    height: 100%;
    object-fit: cover;
    z-index: -1;
    inset: 0 0 0 0;
    width: 100%;
}

.giveaway_offer_banner .elementor-widget-shortcode,
.hero-banner-shortcode .hero-banner-shortcode {
    position: unset;
}

.giveaway_offer_banner .giveaway-offer .container_banner {
    display: flex;
    gap: 25px;
    margin: 0 auto;
    max-width: 1280px;
    justify-content: space-between;
    align-items: center;
}

.giveaway_offer_banner .left_col_info {
    flex: 0 0 calc(42% - 24px);
}

.giveaway_offer_banner .col_countdwn,
.hero-banner-shortcode .col_countdwn {
    max-width: 411px;
    background: #f7d04d;
    padding: 12px;
    border-radius: 12px;
    height: 100%;
}

.hero-banner-shortcode .container_banner.e-con-inner,
.hero-banner-shortcode .elementor-widget-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.hero-banner-shortcode .col_countdwn {
    display: flex;
    max-width: 489px !important;
    align-items: center;
    gap: 10px;
}

.giveaway_offer_banner span.cat_name,
.hero-banner-shortcode span.cat_name {
    background: #f419e7;
    padding: 6px 10px;
    border-radius: 28px;
    line-height: normal;
    display: inline-block;
    font-size: 14px;
    margin-bottom: 20px;
    border: 1px solid #732CCD;
    box-shadow: 0 2px 0 #732CCD;
}

.giveaway_offer_banner div#countdown,
.hero-banner-shortcode div#countdown {
    display: flex;
    align-items: center;
    background: #fff;
    border-radius: 18px;
}

.giveaway_offer_banner span.devider,
.hero-banner-shortcode span.devider {
    width: 1px;
    height: 32px;
    background: #d1c6c6;
}

.giveaway_offer_banner .countdown-item .count,
.hero-banner-shortcode .countdown-item .count {
    font-size: 18px;
    font-weight: 600;
}

.giveaway_offer_banner .countdown-item .label,
.hero-banner-shortcode .countdown-item .label {
    font-size: 14px;
    color: #1e1e1e70;
}

.giveaway_offer_banner .countdown-item,
.hero-banner-shortcode .countdown-item {
    display: flex;
    flex-direction: column;
    padding: 5px 20px;
    color: #000;
    text-align: center;
}

.giveaway_offer_banner .enter-now-btn,
.hero-banner-shortcode .enter-now-btn {
    width: 100%;
    display: inline-block;
    background: #732ccd !important;
    padding: 12px 20px;
    border-radius: 15px;
    margin-top: 15px;
    color: #fff;
    font-size: 16px;
    font-weight: 600;
    text-align: center;
}

.hero-banner-shortcode .enter-now-btn {
    margin-top: unset !important;
}

.discount-item h3.disc_name {
    font-size: 18px;
    color: #4a1c83;
    text-transform: capitalize;
    font-weight: 700;
    font-family: sans-serif;
    line-height: normal;
    margin-bottom: 8px;
}

.discount-item .off_label {
    margin-bottom: 24px;
}

.discount-item .redeem-offer-btn {
    margin-top: 24px;
    width: 100%;
    background: #732ccd !important;
    color: #fff !important;
    font-size: 16px;
    font-weight: 500;
}

/* membership sec css */

.membership-tiers-sec .tab-buttons {
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
}

.membership-tiers-sec .tab-btn {
    background: #f4f4f4;
    border: none;
    padding: 10px 20px;
    margin: 0 10px;
    cursor: pointer;
}

.membership-tiers-sec .tab-btn.active {
    background: #f5b400;
    color: white;
}

.membership-tiers-sec .tab-content {
    display: none;
}

.membership-tiers-sec .tab-content.active {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 24px;
    padding-bottom: 50px;
    align-items: end;
}

.product-label.popular-label {
    font-size: 16px;
    text-align: center;
    color: #fff;
    font-weight: 500;
    background: #f419e7;
    border-radius: 29px 29px 0 0;
    padding: 12px 0;
}

.membership-tiers-sec .membership-tier {
    flex: 1 0 calc(25% - 18px);
    background: #fff;
    border: 2px solid #4A1C83;
    border-radius: 30px;
    filter: drop-shadow(0px 8px 0px #4a1c83) !important;
}

.membership-tiers-sec .membership-info {
    padding: 32px;
}

.membership-tiers-sec .membership-tier .info {
    padding: 32px 0 40px 0;
}

.membership-tiers-sec .membership-tier ul {
    font-family: "General Sans";
    font-size: 17px;
    font-weight: 400;
    line-height: 24px;
    list-style: none;
    padding: 0;
}

.membership-tiers-sec .membership-tier ul li {
    position: relative;
    padding-left: 36px;
}

.membership-tiers-sec .membership-tier .info ul li:not(:last-child) {
    padding-bottom: 16px;
}

.membership-tiers-sec .membership-tier ul li:before {
    content: "\f058";
    font-family: 'Font Awesome 5 Free';
    font-weight: 400;
    color: #732ccd !important;
    position: absolute;
    left: 0;
    font-size: 24px;
}

.membership-tiers-sec .membership-tier button {
    width: 100%;
    background: #732ccd !important;
    color: #fff !important;
    font-size: 16px;
    font-weight: 500;
}

.membership-tiers-sec .membership-tier button:hover {
    background-color: #4A1C83 !important;
    border-color: #4A1C83 !important;
}

.membership-tiers-sec .membership-tier h3 {
    font-size: 20px;
    color: #333;
    margin-bottom: 24px;
    line-height: normal;
}

.membership-tiers-sec .membership-tier .price {
    font-weight: 900;
    font-size: 48px;
    line-height: 55px;
    font-family: "Montserrat";
    color: #131313;
}

.membership-tiers-sec .membership-tier .price_box p {
    font-size: 12px;
    font-weight: 500;
    color: rgba(30, 30, 30, 0.5);
    padding-top: 5px;
}

.membership-tiers-sec .sign-up {
    background-color: #6502ff;
    color: white;
    padding: 10px 20px;
    border-radius: 5px;
    border: none;
    cursor: pointer;
}

/* end */
@media(max-width:1200px) {

    .winners_section.elementor-widget-shortcode,
    .giveaways_section.elementor-widget-shortcode {
        width: calc(100vw - 20px);
        margin-left: auto;
        margin-right: calc(-50vw + 50% + 10px);
    }

    .winners_section .recent-winners,
    .giveaways_section .upcoming-giveaways {
        max-width: 5000px;
        overflow-x: auto;
        padding-bottom: 50px;
        width: 100%;
        white-space: nowrap;
    }

    .giveaways_section .giveaway-item,
    .recent-winners .winner-item {
        min-width: 309px;
    }

    .upcoming-giveaways .countdown {
        gap: 8px;
    }

    .discounts-grid .discount-item {
        min-width: unset !important;
    }
}

@media(max-width:992px) {

    .all_winners .recent-winners,
    .giveaways_archive .upcoming-giveaways,
    .discounts-grid {
        grid-template-columns: repeat(auto-fill, minmax(calc(100% / 5 + 156px), 1fr)) !important;
    }
}

@media(max-width:520px) {
    .hero-banner-shortcode .col_countdwn {
        flex-direction: column;
        max-width: 300px;
    }
}

@media(max-width:767px) {
    .testimonial-wrapper .swiper-button-next, .testimonial-wrapper .swiper-button-prev{
        position: absolute;
        bottom: 5px !important;
        top:unset;
        border: 1px solid #4A1C83;
         width: 48px;
         height: 48px;
         display: flex;
         align-items: center;
         justify-content: center;
         border-radius: 100%;
         box-shadow: 0 2px 0 #4A1C83;
         font-size: 18px !important;
     }
     .testimonial-wrapper{
        position:relative;
        padding-bottom:85px !important;
     }
     .testimonial-wrapper .swiper-button-next::after, .testimonial-wrapper .swiper-button-prev:after {
         font-size: 14px !important;
         font-weight:800;
     }
     .testimonial-wrapper span.swiper-pagination-bullet {
        height: 5px !important;
        width: 17px !important;
        border-radius: 2px !important;
        margin: 0 3px !important;
     }
     .testimonial-wrapper span.swiper-pagination-bullet.swiper-pagination-bullet-active {
         background: #732ccd;
     }
       .testimonial-wrapper .swiper-pagination-bullets{
        top:unset !important;
        bottom: 17px !important;
        }
    .giveaway_offer_banner div#countdown {
        justify-content: center;
    }

    .giveaway_offer_banner .giveaway-offer .container_banner {
        flex-wrap: wrap;
        flex-direction: column;
    }

    .giveaway_offer_banner .col_countdwn {
        max-width: 80%;
        min-width: 280px;
    }

    .giveaway_offer_banner .countdown-item,
    .hero-banner-shortcode .countdown-item {
        padding: 5px 15px;
    }

    .giveaway_popup .close,
    .dicount_modal .close,
    #login-popup .close,
    #reset-password-modal .modal-content span.close,
    #response-modal .modal-content span.close,
    #cancel-subscription-modal .modal-content span.close,
    #forgot-password-modal .modal-content .close {
        right: -0 !important;
        top: -60px;
    }

    .giveaway_popup #title {
        font-size: 24px;
    }

    .giveaway_popup .countdown {
        padding: 8px 14px !important;
        gap: 6px !important;
        margin-bottom: 10px;
    }

    .giveaway_popup .fea_img_box {
        margin-bottom: 40px;
    }

    .dicount_modal .modal-content,
    #login-popup .modal-content,
    #reset-password-modal .modal-content,
    #response-modal .modal-content,
    #cancel-subscription-modal .modal-content,
    #forgot-password-modal .modal-content{
        min-width: unset !important;
        max-width: 90%;
    }

    .dicount_modal .discount-item {
        flex-direction: column;
        min-width: unset !important;
    }

    .dicount_modal .modal-featured-image {
        flex: 0 0 100% !important;
    }
}

@media(max-width:375px) {

    .winners_section .winner-item,
    .giveaways_section .giveaway-item {
        min-width: 280px;
    }
}

/* checkout Modal styles */
.custom-modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1000;
    justify-content: center;
    align-items: center;
}

.custom-modal-content {
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    width: 80%;
    max-width: 800px;
    position: relative;
}

.custom-close {
    position: absolute;
    top: 10px;
    right: 20px;
    font-size: 24px;
    cursor: pointer;
}

/* checkout Modal styles */
/* Style for the Entered Badge */
.giveaway-item.entered .entered-badge {
    display: inline-block;
    background-color: #6a38eb;
    color: #ffffff;
    font-size: 14px;
    font-weight: bold;
    border-radius: 20px;
    padding: 5px 15px;
    text-align: center;
    text-transform: uppercase;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    position: absolute;
    top: 10px;
    right: 10px;
}
.action_button {
    margin-top: 10px;
}
.action_button button {
    padding: 10px 20px;
    font-size: 16px;
    border: none;
    border-radius: 5px;
    background-color: #0073aa;
    color: #fff;
    cursor: pointer;
}
.action_button button:hover {
    background-color: #005177;
}
.entry_section.acc_section_2 .my-entries-section .entry-img img{
	max-height: 300px;
}

